<form class="{{cssClass}} weapon-sheet" autocomplete="off">

    {{!-- {{log "weapon-sheet.hbs this" this}}
    {{log "weapon-sheet.hbs actor" actor}}
    {{log "weapon-sheet.hbs data" data}}
    {{log "weapon-sheet.hbs item" item}} --}}

    {{> "systems/ars/templates/item/parts/item-header.hbs"}}

    {{!-- Sheet Tab Navigation --}}
    {{> "systems/ars/templates/item/parts/item-nav.hbs"}}

    {{!-- Sheet Body --}}
    <section class="sheet-body">

        {{!-- Description Tab --}}
        <div class="tab" data-group="primary" data-tab="description">

            <div class="item item-titles">
                <div style="text-align: left;" class="item-header">Attack</div>
                <div class="item-subheader weapon-attack">
                    <div class="flexrow">
                        <label>{{localize "ARS.attacks.type"}}</label>
                        <label>{{localize "ARS.attacks.speed"}}</label>
                        <label data-tooltip="Can be formula">{{localize "ARS.attacks.speedmod"}}</label>
                        <label>{{localize "ARS.attacks.atkrnd"}}</label>
                        <label>{{localize "ARS.attacks.atkmod"}}</label>
                    </div>
                </div>
            </div>

            <div class="item-input flexrow">
                {{!-- <td colspan="1" style="width:100;text-align:center;"> --}}
                <select class="selector" name="system.attack.type">
                    {{!-- {{#select system.attack.type}}
                        {{#each config.weaponTypes as |name type|}}
                            <option value="{{type}}">{{localize name}}</option>
                        {{/each}}
                    {{/select}} --}}

                    {{selectOptions config.weaponTypes selected=system.attack.type localize=true}}
                </select>
                <input name="system.attack.speed" type="number" value="{{system.attack.speed}}" data-dtype="Number" />
                <input name="system.attack.speedmod" type="text" value="{{system.attack.speedmod}}" />
                <input name="system.attack.perRound" type="text" value="{{system.attack.perRound}}" />
                <input name="system.attack.modifier" type="number" value="{{system.attack.modifier}}"
                    data-dtype="Number" />
            </div>

            {{#ifnoteq system.attack.type 'melee'}}
                <div class="item item-titles">
                    <div style="text-align: left;">
                        <div class="item-header">Ranged</div>
                    </div>
                    {{!-- <div class="item-header-weapon flexrow"> --}}
                    <div class="item-subheader weapon-attack flexrow">
                        <div class="flexrow">
                            <label>Short</label>
                            <label>Medium</label>
                            <label>Long</label>
                        </div>
                        {{#if item.actor.inventory}}
                            <label class="weapon-ammo-label">{{localize "ARS.ammo"}}
                                <input data-tooltip="Infinite Ammunition" class="weapon-ammo-infinite" type="checkbox"
                                    name="system.attributes.infiniteammo"
                                    {{ checked system.attributes.infiniteammo }} />
                            </label>
                        {{else}}
                            {{#if item.actor}}
                                <label>{{localize "ARS.noinventory"}}</label>
                            {{/if}}
                        {{/if}}
                    </div>
                </div>


                <div class="item-input flexrow">
                    <div>
                        <div class="flex flexrow">
                            <input name="system.attack.range.short" type="text" value="{{system.attack.range.short}}"
                                data-dtype="Number" />/
                            <input name="system.attack.range.medium" type="text" value="{{system.attack.range.medium}}"
                                data-dtype="Number" />/
                            <input name="system.attack.range.long" type="text" value="{{system.attack.range.long}}"
                                data-dtype="Number" />
                        </div>
                    </div>
                    {{#includes system.attack.type 'ranged||thrown'}}
                        {{#if item.actor.inventory}}
                            <select name="system.resource.itemId">
                                {{!-- {{#select system.resource.itemId}}
                                    <option value="">{{localize "ARS.none"}}</option>
                                    {{#each item.actor.inventory as |item idx|}}
                                        <option value="{{item.id}}">{{item.name}}</option>
                                    {{/each}}
                                {{/select}} --}}
                                <option value="">{{localize "ARS.none"}}</option>
                                {{selectOptions item.actor.weaponsAvailable selected=system.resource.itemId valueAttr="id" labelAttr="name" localize=true}}
                            </select>
                        {{else}}
                            {{#if item.actor}}
                                <label>{{localize "ARS.noinventory"}}</label>
                            {{/if}}
                        {{/if}}
                    {{/includes}}
                </div>
            {{/ifnoteq}}

            <div class="item item-titles">
                <div style="text-align: left;">
                    <div class="item-header">Damage</div>
                </div>
                {{!-- <div class="item-header-weapon flexrow"> --}}
                <div class="item-subheader flexrow">
                    <label>Normal</label>
                    <label>Large</label>
                    {{!-- <label>Mod</label> --}}
                    <label>Type</label>
                </div>
            </div>
            <div class="item-input flexrow">
                <input name="system.damage.normal" type="text" value="{{system.damage.normal}}" />
                <input name="system.damage.large" type="text" value="{{system.damage.large}}" />
                {{!-- <input name="system.damage.modifier" type="text" value="{{system.damage.modifier}}" data-dtype="Number" /> --}}
                <select class="selector" name="system.damage.type">
                    {{!-- {{#select system.damage.type}}
                        {{#each config.weaponDamageTypes as |name type|}}
                            <option value="{{type}}">{{localize name}}</option>
                        {{/each}}
                    {{/select}} --}}

                    {{selectOptions config.weaponDamageTypes selected=system.damage.type localize=true}}
                </select>
            </div>


            <div>
                <div class="weapon-other item-header-weapon">
                    <label>Additional Damage Formula</label>
                    <a class="item-control damage-other-control add-damage"><i class="fas fa-plus"></i></a>
                </div>
                <div class="item flexrow">
                    {{#checklength system.damage.otherdmg 0}}
                        <div class="weapon-damageother grid grid-3col item-header-weapon">
                            <label>Formula</label>
                            <label>Type</label>
                            <label>Remove</label>
                            {{#each system.damage.otherdmg as |dmg index| }}
                                <input type="text" name="system.damage.otherdmg.{{index}}.formula"
                                    value="{{dmg.formula}}" />
                                {{!-- <input type="text" name="system.damage.otherdmg.{{index}}.type" value="{{dmg.type}}" /> --}}

                                <select name="system.damage.otherdmg.{{index}}.type">
                                    {{!-- {{#select dmg.type}}
                                        {{#each ../config.weaponDamageTypes as |name type|}}
                                            <option value="{{type}}">{{localize name}}</option>
                                        {{/each}}
                                    {{/select}} --}}

                                    {{selectOptions ../config.weaponDamageTypes selected=dmg.type localize=true}}
                                </select>
                                <div class="item-controls">
                                    <a class="item-control damage-other-control delete-damage" data-index="{{index}}"><i
                                            class="fas fa-trash"></i></a>
                                </div>
                            {{/each}}
                        </div>
                    {{/checklength}}
                </div>
            </div>

            {{#if item.isIdentified}}
                <div class="item item-titles">
                    <div style="text-align: left;">
                        <div class="item-header">Magic</div>
                    </div>
                    {{!-- <div class="item-header-weapon flexrow"> --}}
                    <div class="item-subheader flexrow">
                        <label>Attack Mod</label>
                        <label>Damage Mod</label>
                        <label>Potency</label>
                    </div>
                </div>
                <div class="item-input flexrow">
                    <input name="system.attack.magicBonus" type="number" value="{{system.attack.magicBonus}}"
                        data-dtype="Number" />
                    <input name="system.damage.magicBonus" type="number" value="{{system.damage.magicBonus}}"
                        data-dtype="Number" />
                    <input name="system.attack.magicPotency" type="number" value="{{system.attack.magicPotency}}"
                        data-dtype="Number" />
                </div>
            {{/if}}

            {{> "systems/ars/templates/item/parts/item-description-block.hbs"}}
        </div>

        {{!-- attributes Tab --}}
        <div class="tab attributes" data-group="primary" data-tab="attributes">
            {{> "systems/ars/templates/item/parts/item-attributes.hbs"}}
        </div>

        {{!-- actions Tab --}}
        {{#if item.isIdentified}}
            <div class="tab actions info-helper-enabled" data-info-type="action" data-group="primary" data-tab="actions">
                {{> "systems/ars/templates/item/parts/actions-block-list.hbs"}}
            </div>
            {{!-- Macros Tab --}}
            <div class="tab macros" data-group="primary" data-tab="macros">
                {{> "systems/ars/templates/apps/parts/weapon-macro-controls.hbs"}}
            </div>
        {{/if}}


        {{!-- Effects Tab --}}
        {{#if item.isIdentified}}
            <div class="tab effects info-helper-enabled flexcol" data-group="primary" data-tab="effects" data-info-type="effect">
                <div class="grouping-border">
                    {{> "systems/ars/templates/effects/parts/active-effects.hbs"}}
                </div>
            </div>
        {{/if}}

        {{!-- contents tab --}}
        <div class="tab contents" data-group="primary" data-tab="contents">
            <div class="contents-block">
                {{> "systems/ars/templates/item/parts/contents-block.hbs"}}
            </div>
        </div>

    </section>
</form>